import { type MaybeRefOrGetter, type ComputedRef, type Ref } from 'vue';
export type ControlledSpeechConfig = {
    recording?: boolean;
    onRecordingChange: (recording: boolean) => void;
};
export type AllowSpeech = boolean | ControlledSpeechConfig;
export type UseSpeechReturn = {
    speechPermission: ComputedRef<boolean>;
    triggerSpeech: (forceBreak: boolean) => void;
    recording: Ref<boolean>;
};
export default function useSpeech(onSpeech: (transcript: string) => void, allowSpeech?: MaybeRefOrGetter<AllowSpeech>): UseSpeechReturn;
